Name:           afio
Version:        2.5.2
Release:        %mkrel 2
Summary:        Archiver program which writes cpio-format archives
Group:		Archiving/Backup
URL:		https://github.com/kholtman/afio
Source:		https://github.com/kholtman/afio/archive/v%{version}/%{name}-%{version}.tar.gz
License:	LGPL

%description
Afio makes cpio-format archives. It deals somewhat gracefully with input
data corruption, supports multi-volume archives during interactive
operation, and can make compressed archives that are much safer than
compressed tar or cpio archives. Afio is best used as an `archive engine'
in a backup script.

%prep
%setup -q

# don't strip
sed -i -e '/CFLAGS1/s/\s\+-s\s\+/ /g' Makefile

%build
%set_build_flags
%make_build

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -m 755 afio $RPM_BUILD_ROOT%{_bindir}
install -m 755 afio.1 $RPM_BUILD_ROOT%{_mandir}/man1

%files
%doc HISTORY INSTALLATION PORTING README SCRIPTS afio.lsm script1 script2 script3 script4
%doc afio_license_issues_v5.txt
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 2.5.2-2.mga10
+ Revision: 2215052
- Mageia 10 Mass Rebuild

* Tue Aug 09 2022 wally <wally> 2.5.2-1.mga9
+ Revision: 1876432
- new version 2.5.2
- update URL

* Mon Mar 14 2022 umeabot <umeabot> 2.5.1-9.mga9
+ Revision: 1791731
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.5.1-8.mga8
+ Revision: 1511644
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.5.1-7.mga7
+ Revision: 1297295
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 2.5.1-6.mga6
+ Revision: 943549
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.5.1-5.mga5
+ Revision: 742375
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.5.1-4.mga5
+ Revision: 677713
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.5.1-3.mga4
+ Revision: 502463
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.5.1-2.mga3
+ Revision: 345322
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 17 2012 fwang <fwang> 2.5.1-1.mga3
+ Revision: 319054
- new version 2.5.1

* Sat Apr 30 2011 misc <misc> 2.5-7.mga1
+ Revision: 93881
- increase release to fix upgrade from Mandriva 2010.2

* Sat Feb 12 2011 bcornec <bcornec> 2.5-1.mga1
+ Revision: 50754
- No changelog needed
- Created package structure for afio.

